<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:f="http://java.sun.com/jsf/core"
>
    <!--  requires param
          - managedBean (extends PDS) -->

    <a4j:commandButton value="#{messages['gazelle.PAMSimulator.AddLegalCareMode']}" render="zfsEntryEdition"
                       actionListener="#{managedBean.createNewLegalCareMode()}"
                       rendered="#{managedBean.currentLegalCareMode == null}"
                       styleClass="gzl-btn-green"/>
    <s:div id="zfsEntryEdition">
        <gri:panel pid="editLegalCareMode" rendered="#{managedBean.currentLegalCareMode != null}">
            <f:facet name="header">#{messages['gazelle.PAMSimulator.CreateEditLegalCareMode']}</f:facet>
            <ui:include src="/fr/_editLegalCareMode.xhtml">
                <ui:param name="zfs" value="#{managedBean.currentLegalCareMode}"/>
            </ui:include>
            <f:facet name="footer">
                <a4j:commandButton value="#{messages['gazelle.pam.Done']}" render="zfsEntryEdition, zfsListDiv"
                                   actionListener="#{managedBean.setCurrentLegalCareMode(null)}"
                                   styleClass="gzl-btn-blue"/>
                <a4j:commandButton value="#{messages['gazelle.HL7Common.Back']}" render="zfsEntryEdition"
                                   actionListener="#{managedBean.setCurrentLegalCareMode(null)}"
                                   styleClass="gzl-btn" byPassUpdates="true" immediate="true"/>
            </f:facet>
        </gri:panel>
    </s:div>
    <s:div id="zfsListDiv">
        <f:subview id="zfsList">
            <ui:include src="/fr/_displayLegalCareModes.xhtml">
                <ui:param name="careModes" value="#{managedBean.getCareModesForPatient()}"/>
                <ui:param name="idToRendered" value="zfsEntryEdition"/>
            </ui:include>
        </f:subview>
    </s:div>

</ui:composition>